#include "Dialog.h"
#include <QBoxLayout>
#include <QLineEdit>
#include <QDialogButtonBox>

Dialog::Dialog(QString nom1, QString nom2, QWidget *parent) :
    QDialog(parent)
{
    QHBoxLayout *layoutLineEdit = new QHBoxLayout;
    QVBoxLayout *layoutDialog = new QVBoxLayout;
    QDialogButtonBox *boutonJouer = new QDialogButtonBox (QDialogButtonBox::Ok | QDialogButtonBox::Cancel);
    joueur1LineEdit = new QLineEdit(nom1 , this);
    joueur2LineEdit = new QLineEdit(nom2 , this);
    joueur1LineEdit->selectAll();

    layoutLineEdit->addWidget(joueur1LineEdit);
    layoutLineEdit->addWidget(joueur2LineEdit);
    layoutDialog->addLayout(layoutLineEdit);
    layoutDialog->addWidget(boutonJouer);
    setLayout(layoutDialog);

    QObject::connect(boutonJouer , SIGNAL(accepted()) , this, SLOT(accept()));
    QObject::connect(boutonJouer , SIGNAL(rejected()) , this, SLOT(close()));
}

QString Dialog::joueur1 () const {
    return joueur1LineEdit->text();
}

QString Dialog::joueur2 () const {
    return joueur2LineEdit->text();
}
